Subject: Move airoha in a dedicated folder

From: Lorenzo Bianconi <[email-masked]>
Date: Sat, 1 Feb 2025 13:44:53 +0100

Hi all,

Since more features are on the way for airoha_eth driver (support for flowtable
hw offloading, 10g phy support, ..), I was wondering if it is neater to move
the driver in a dedicated folder (e.g. drivers/net/ethernet/airoha or
drivers/net/ethernet/mediatek/airoha) or if you prefer to keep current
approach. Thanks.

Regards,
Lorenzo